﻿using StudiApp.Services.Converters;

namespace StudiApp.Test.Unit.ServicesTests.ConverterTests;

[TestFixture]
public class DayConverterTest
{
	[TestCase(DayOfWeek.Monday, DayOfWeek.Tuesday)]
	[TestCase(DayOfWeek.Sunday, DayOfWeek.Monday)]
	public void NextDayTest(DayOfWeek day, DayOfWeek expected)
	{
		var nextDay = DayConverter.GetNextDayOfWeek(day);

		Assert.That(nextDay, Is.EqualTo(expected));
	}
}