﻿using StudiApp.ViewModels;

namespace StudiApp.Test.Unit.ViewModelsTests.MarkModule;

[TestFixture]
public class MarkCreateViewModelTest
{
	[SetUp]
	public void SetUp()
	{
		_helper = new MarkModuleTestHelper();
		_vm = new MarksCreateViewModel(_helper.ViewModelService)
		{
			SelectedSemester = _helper.SemesterActive
		};
	}

	private MarksCreateViewModel _vm;
	private MarkModuleTestHelper _helper;

	[Test]
	public void AppearingCommandTest()
	{
		_vm.AppearingCommand.Execute(null);

		Assert.Multiple(() =>
		{
			Assert.That(_vm.Mark.Id, Is.EqualTo(0));
			Assert.That(_vm.Mark.Value, Is.EqualTo(0));
			Assert.That(_vm.Mark.Percentage, Is.EqualTo(0.0));
			Assert.That(_vm.Courses, Is.EqualTo(_helper.SemesterActive.Courses));
		});
	}
}