using SQLite;
using SQLiteNetExtensions.Attributes;
using StudiApp.Interfaces;

namespace StudiApp.Models;

public partial class Semester : IRepositoryItem<int>
{
	public string Name { get; set; }

	[TextBlob("DateRangeBlobbed")] public DateRange DateRange { get; set; }

	public string DateRangeBlobbed { get; set; }

	[OneToMany] public List<Course> Courses { get; set; }

	[PrimaryKey] [AutoIncrement] public int Id { get; set; }
}