﻿using CommunityToolkit.Mvvm.Input;
using Microsoft.Extensions.Logging;
using StudiApp.Interfaces;

namespace StudiApp.ViewModels;

public partial class ToDoNewViewModel : ToDoViewModelBase
{
	public ToDoNewViewModel(IViewModelService viewModelService) : base(viewModelService)
	{
	}

	[RelayCommand]
	public async Task OnAppearing()
	{
		await base.OnAppearing();

		ViewModelService.Logger.LogInformation("{ViewModel} initialized", nameof(CoursesNewViewModel));
	}
}